SDRANGELBENCH(1)

NAME
SDRangelBench - SDRangel benchmarking tool

SYNOPSIS
sdrangelbench [options]

DESCRIPTION
Software Defined Radio application benchmarks

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-v, --version
    Displays version information.

-t, --test <test>
    Test type: decimateii, decimatefi, decimateff, decimateif, decimateinfii, decimatesupii, ambe, golay2312, ft8, ft4, ft8protocols, callsign, fftrrcfilter, firrrcfilter, meshtastic.

-n, --nb-samples <samples>
    Number of sample to deal with.

-r, --repeat <repetition>
    Number of repetitions.

-l, --log2-factor <log2>
    Log2 factor for rate conversion.

-f, --file <file>
    File to be used for the test.

-a, --args <args>
    Custom arguments string to be used for the test.